> For the complete documentation index, see [llms.txt](https://docs.decentraland.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decentraland.org/contributor/contributor-ko/content/entity-types/emotes.md).

# 이모트

이모트는 [엔티티입니다](https://github.com/decentraland/docs/blob/main/contributor/entities/README.md) 플레이어의 아바타에 대한 애니메이션을 담고 있습니다.

여기에는 다양한 체형에 대한 GLB 형식 파일이 포함됩니다.

### 포인터 <a href="#pointers" id="pointers"></a>

이모트에는 정확히 하나의 관련 [포인터](https://github.com/decentraland/docs/blob/main/contributor/pointers/README.md), 이는 이모트가 속한 컬렉션과 그 안에서의 인덱스를 나타냅니다. 형식은 다음과 같은 URN입니다:

```
urn:decentraland:matic:collections-v2:<collection address>:<item index>
```

예를 들면, `pointers` 이모트의 배열은 다음과 같습니다:

```json
{
  "pointers": [
    "urn:decentraland:matic:collections-v2:0x2d9560df9dd8ba8b2dc3746bc1d217698d258fb5:0"
  ],
  // ... 기타 엔티티 속성
}
```

### 메타데이터 필드

이모트는 기본 필드 대부분을 다음과 공유합니다 [착용 아이템](https://github.com/decentraland/docs/blob/main/contributor/entity-types/wearables/README.md). `emoteDataADR74` 속성에는 이모트 고유의 정보가 들어 있습니다.

| 필드                  | 값                                                                                                                       |
| ------------------- | ----------------------------------------------------------------------------------------------------------------------- |
| `id`                | 이 [포인터](https://github.com/decentraland/docs/blob/main/contributor/pointers/README.md) 이 이모트로 확인되는(또는 과거에는 확인되던) 항목입니다. |
| `이름`                | 이 이모트의 표시 제목입니다 [collection](https://github.com/decentraland/docs/blob/main/contributor/collections/README.md).         |
| `설명`                | 이 이모트에 대한 자세한 설명입니다.                                                                                                    |
| `이미지`               | 이 [내부 파일 이름](https://github.com/decentraland/docs/blob/main/contributor/entities/README.md#files) 이 이모트의 그림이 들어 있습니다.   |
| `썸네일`               | 이 [내부 파일 이름](https://github.com/decentraland/docs/blob/main/contributor/entities/README.md#files) 의 256x256 버전용 `이미지`.  |
| `희귀도`               | 다음 중 하나입니다 `일반`, `고급`, `희귀`, `영웅`, `전설`, `이색`, `신화` 또는 `유일`.                                                            |
| `i18n`              | 다음에 대한 번역 배열입니다 `이름` 필드입니다.                                                                                             |
| `collectionAddress` | 이 이모트를 포함하는 컬렉션의 Ethereum 주소입니다.                                                                                        |
| `측정값`               | 애니메이션에 대한 몇 가지 유용한 측정값입니다(아래 참조).                                                                                       |
| `emoteDataADR74`    | 이 이모트의 확장 메타데이터로, 다음에 정의된 [ADR-74](https://adr.decentraland.org/adr/ADR-74) (아래 참조).                                    |

일반적인 JSON은 다음과 같습니다:

```json
{
  "id": "urn:decentraland:matic:collections-v2:0x2d9560df9dd8ba8b2dc3746bc1d217698d258fb5:0",
  "name": "Funny Dance",
  "description": "챔피언처럼 움직이세요",
  "image": "image.png",
  "thumbnail": "thumbnail.png",
  "rarity": "rare",
  "i18n": [
    { "code": "es", "text": "우아한 춤" }
  ],
  "collectionAddress": "0x2d9560df9dd8ba8b2dc3746bc1d217698d258fb5",
  "metrics": {
    // 측정값 객체(아래 참조).
  },
  "emoteDataADR74": {
    // ADR-74에 정의된 확장 메타데이터(아래 참조).
  }
}
```

### 측정값

에서 `metadata.metrics` 객체에는 이 이모트에 포함된 애니메이션에 대한 몇 가지 간단한 측정값이 있습니다. 예:

```json
{
  "triangles": 0,
  "materials": 0,
  "textures": 0,
  "meshes": 0,
  "bodies": 0,
  "entities": 1
}
```

### 이모트 데이터 ADR-74

이 객체에는 World Explorers(또는 다른 그래픽 애플리케이션)가 이 이모트로 모델을 애니메이션하는 데 필요한 필드가 들어 있습니다.

| 필드     | 값                                                             |
| ------ | ------------------------------------------------------------- |
| `카테고리` | 다음 중 하나입니다 `댄스`, `스턴트`, `인사`, `재미`, `포즈`, `반응`, `호러` 또는 `기타`. |
| `표현`   | 다양한 체형과 연결된 애니메이션 파일 배열입니다.                                   |
| `tags` | 이 이모트를 설명하는 문자열 태그 배열입니다.                                     |
| `반복`   | `true` 애니메이션이 끝난 뒤 다시 반복되어야 하는지 여부입니다.                        |

이해를 돕기 위한 JSON 예:

```json
{
  "category": "dance",
  "representations": [
    // 다양한 체형에 대한 애니메이션 정보(아래 참조).
  ],
  "tags": [ "카니발", "댄스" ],
  "loop": true
}
```

#### 표현

다음 항목의 각 요소는 `metadata.emoteDataADR74.representations` 필드는 각 체형에 적합한 애니메이션 파일을 정의합니다.

| 필드           | 값                                                                                                                |
| ------------ | ---------------------------------------------------------------------------------------------------------------- |
| `bodyShapes` | 적용 가능한 체형의 배열입니다 [pointers](https://github.com/decentraland/docs/blob/main/contributor/pointers/README.md).      |
| `mainFile`   | 이 [내부 파일 이름](https://github.com/decentraland/docs/blob/main/contributor/entities/README.md#files) 메인 GLB 파일용입니다. |
| `contents`   | 다음을 포함한 모든 파일 `mainFile` 및 참조할 수 있는 추가 파일입니다.                                                                    |

예를 들어, `표현` 항목:

```json
{
  "bodyShapes": [ "urn:decentraland:off-chain:base-avatars:BaseMale" ],
  "mainFile": "male/funnydance.glb",
  "contents": [
    "male/funnydance.glb"
  ]
}
```

보통 두 개의 표현 항목이 있으며, 하나는 `BaseMale` 이고, 다른 하나는 `BaseFemale`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.decentraland.org/contributor/contributor-ko/content/entity-types/emotes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
